Sisimai::Reason::UserUnknown(3pm)

NAME
Sisimai::Reason::UserUnknown - Bounce reason is "userunknown" or not.

SYNOPSIS
    use Sisimai::Reason::UserUnknown;
    print Sisimai::Reason::UserUnknown->match('550 5.1.1 Unknown User');   # 1

DESCRIPTION
"Sisimai::Reason::UserUnknown" checks the bounce reason is "userunknown" or not. This class is called only "Sisimai::Reason" class.

This is the error that the local part (left hand side of "@" sign) of the recipient's email address does not exist. In many case, the user has changed the internet service provider, or has quit company, or the local part is misspelled. Sisimai will set "userunknown" to the reason of the email bounce if the value of "Status:" field in the bounce email is 5.1.1, or the connection was refused at SMTP "RCPT" command, or the contents of "Diagnostic-Code:" field represents that it is unknown user.

    <kijitora@example.co.jp>: host mx01.example.co.jp[192.0.2.8] said:
      550 5.1.1 Address rejected kijitora@example.co.jp (in reply to
      RCPT TO command)

CLASS METHODS

  "text()"
text() method returns the fixed string "userunknown".

    print Sisimai::Reason::UserUnknown->text;  # userunknown

  "match(string)"
match() method returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::UserUnknown->match('550 5.1.1 Unknown User');   # 1

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "userunknown". The argument must be "Sisimai::Fact" object and this method is called only from "Sisimai::Reason" class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2026 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.